summaryrefslogtreecommitdiffstats
path: root/net-mgmt/nagios/scripts/createuser
diff options
context:
space:
mode:
authorwill <will@FreeBSD.org>2000-07-12 18:43:32 +0000
committerwill <will@FreeBSD.org>2000-07-12 18:43:32 +0000
commit1579598a0fe04af43ea21dbc65cf55dc74eee4e1 (patch)
treefcd237d53ebb71732873371cd6019373ce09addd /net-mgmt/nagios/scripts/createuser
parent55941e862c29523c2ab4adf25d92f35debf0e80f (diff)
downloadFreeBSD-ports-1579598a0fe04af43ea21dbc65cf55dc74eee4e1.zip
FreeBSD-ports-1579598a0fe04af43ea21dbc65cf55dc74eee4e1.tar.gz
Add NetSaint 0.0.5-2, an extremely powerful network monitoring system.
Patches submitted by: Jim Sloan <odinn@atlantabiker.net>, to whom I am extremely grateful! Thanks!
Diffstat (limited to 'net-mgmt/nagios/scripts/createuser')
-rw-r--r--net-mgmt/nagios/scripts/createuser49
1 files changed, 49 insertions, 0 deletions
diff --git a/net-mgmt/nagios/scripts/createuser b/net-mgmt/nagios/scripts/createuser
new file mode 100644
index 0000000..ce858d7
--- /dev/null
+++ b/net-mgmt/nagios/scripts/createuser
@@ -0,0 +1,49 @@
+#!/usr/bin/perl
+#
+
+eval '(exit $?0)' && eval 'exec /usr/bin/perl -S $0 ${1+"$@"}'
+& eval 'exec /usr/bin/perl -S $0 $argv:q'
+if 0;
+
+if( $> ) {
+ print "\nYou must be root to run this step!\n\n";
+ exit 1;
+}
+
+if( getpwnam( "netsaint" ) ) {
+ ( $null, $null, $nsUID ) = getpwnam( "netsaint" );
+} else {
+ $nsUID = 70;
+ while( getpwuid( $nsUID ) ) {
+ $nsUID++;
+ }
+}
+
+if( getgrnam( "netsaint" ) ) {
+ ( $null, $null, $nsGID ) = getgrnam( "netsaint" );
+} else {
+ $nsGID = 70;
+ while( getgrgid( $nsGID ) ) {
+ $nsGID++;
+ }
+ &append_file( "/etc/group", "netsaint:*:$nsGID:" );
+}
+
+print "netsaint user using uid $nsUID and gid $nsGID\n";
+
+system( "/usr/bin/chpass -a \"netsaint:*:$nsUID:$nsGID\:\:0:0:Netsaint pseudo-user:$ENV{'PREFIX'}/netsaint:/bin/sh\"" );
+
+sub append_file {
+ local($file,@list) = @_;
+ local($LOCK_EX) = 2;
+ local($LOCK_NB) = 4;
+ local($LOCK_UN) = 8;
+
+ open(F, ">> $file") || die "$file: $!\n";
+ while( ! flock( F, $LOCK_EX | $LOCK_NB ) ) {
+ exit 1;
+ }
+ print F join( "\n", @list) . "\n";
+ close F;
+ flock( F, $LOCK_UN );
+}
OpenPOWER on IntegriCloud